Skip to main content
GET
/
api
/
v1
/
secret-syncs
/
aws-parameter-store
/
sync-name
/
{syncName}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/secret-syncs/aws-parameter-store/sync-name/{syncName}
import requests

url = "https://us.infisical.com/api/v1/secret-syncs/aws-parameter-store/sync-name/{syncName}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/secret-syncs/aws-parameter-store/sync-name/{syncName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "secretSync": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "projectId": "<string>",
    "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "syncOptions": {
      "keySchema": "<string>",
      "disableSecretDeletion": true,
      "keyId": "<string>",
      "tags": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "syncSecretMetadataAsTags": true
    },
    "connection": {
      "app": "aws",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "environment": {
      "slug": "<string>",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "folder": {
      "id": "<string>",
      "path": "<string>"
    },
    "destination": "aws-parameter-store",
    "destinationConfig": {
      "path": "<string>"
    },
    "description": "<string>",
    "isAutoSyncEnabled": true,
    "version": 1,
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "syncStatus": "<string>",
    "lastSyncJobId": "<string>",
    "lastSyncMessage": "<string>",
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "importStatus": "<string>",
    "lastImportJobId": "<string>",
    "lastImportMessage": "<string>",
    "lastImportedAt": "2023-11-07T05:31:56Z",
    "removeStatus": "<string>",
    "lastRemoveJobId": "<string>",
    "lastRemoveMessage": "<string>",
    "lastRemovedAt": "2023-11-07T05:31:56Z"
  }
}
{
  "reqId": "<string>",
  "statusCode": 400,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 401,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 403,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 404,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 422,
  "error": "<string>",
  "message": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 500,
  "message": "<string>",
  "error": "<string>"
}

Path Parameters

syncName
string
required

The name of the AWS Parameter Store Sync to retrieve.

Minimum string length: 1

Query Parameters

projectId
string
required

The ID of the project the AWS Parameter Store Sync is associated with.

Minimum string length: 1

Response

Default Response

secretSync
AWS Parameter Store · object
required